Bug 1248737 - What is the difference between new-sources and upload?
Summary: What is the difference between new-sources and upload?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-30 17:56 UTC by Matt Reid
Modified: 2017-09-19 21:19 UTC (History)
7 users (show)

Fixed In Version: rpkg-1.50-1.fc26 rpkg-1.50-2.fc27 rpkg-1.50-2.fc25 rpkg-1.50-2.el6 rpkg-1.50-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 10:52:07 UTC


Attachments (Terms of Use)

Description Matt Reid 2015-07-30 17:56:32 UTC
Description of problem:
Is there a functional difference between new-sources and upload in rhpkg? Their descriptions sound very similar. 

new-sources         Upload new source files
    upload              Upload source files


[test@localhost ~]$ rhpkg upload --help
usage: rhpkg upload [-h] files [files ...]

This command will add a new source archive to the lookaside cache. The sources
and .gitignore file will be updated with the new file(s).

positional arguments:
  files

optional arguments:
  -h, --help  show this help message and exit


[test@localhost ~]$ rhpkg new-sources --help
usage: rhpkg new-sources [-h] files [files ...]

This will upload new source files to the lookaside cache and remove any
existing ones. The "sources" and .gitignore files will be updated with the new
uploaded file(s).

positional arguments:
  files

optional arguments:
  -h, --help  show this help message and exit


If they're different, we should try to indicate that in the rhpkg help descriptions, and try to make the difference more obvious in the subcommand help descriptions.

Version-Release number of selected component (if applicable):
rhpkg-1.26-1.el7eng.noarch

Comment 1 Jan Kurik 2016-02-24 13:29:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 cqi 2016-06-30 10:04:19 UTC
Please refer to new-sources and upload section in Fedora wiki page[1]

Help message is updated in https://pagure.io/rpkg/pull-request/68

[1] https://fedoraproject.org/wiki/Package_maintenance_guide#Common_fedpkg_commands

Comment 3 cqi 2017-03-02 02:56:18 UTC
Belongs to milestone 1.50[1]

https://pagure.io/rpkg/roadmap?status=Open&no_stones=&milestone=1.50

Comment 4 Fedora End Of Life 2017-07-25 19:04:10 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Matt Reid 2017-07-25 19:51:01 UTC
If this is slated to be fixed in the next rpkg release, should this BZ get updated to a different Fedora version so we can continue tracking it?

Comment 6 cqi 2017-07-26 09:13:24 UTC
Hi Matt, there is discussion about the help and description text in pr https://pagure.io/rpkg/pull-request/68. Feel free to have a look and comment if you wish.

Comment 7 Fedora Update System 2017-08-18 00:58:52 UTC
fedpkg-1.29-1.fc26 rpkg-1.50-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 8 Fedora Update System 2017-08-18 20:18:26 UTC
fedpkg-1.29-1.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 9 Fedora Update System 2017-08-18 20:23:46 UTC
fedpkg-1.29-1.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 10 Fedora Update System 2017-08-18 21:54:32 UTC
fedpkg-1.29-1.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 11 Fedora Update System 2017-08-19 18:55:42 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 12 Fedora Update System 2017-08-22 20:44:28 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-08-23 05:06:32 UTC
fedpkg-1.29-2.fc25 rpkg-1.50-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 14 Fedora Update System 2017-08-23 05:07:57 UTC
fedpkg-1.29-2.el6 rpkg-1.50-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 15 Fedora Update System 2017-08-23 05:08:50 UTC
fedpkg-1.29-2.el7 rpkg-1.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 16 Fedora Update System 2017-08-24 01:51:27 UTC
fedpkg-1.29-2.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 17 Fedora Update System 2017-08-24 03:18:31 UTC
fedpkg-1.29-2.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 18 Fedora Update System 2017-08-24 03:19:26 UTC
fedpkg-1.29-2.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 19 Fedora Update System 2017-09-01 06:03:47 UTC
fedpkg-1.29-3.fc25 rpkg-1.50-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 20 Fedora Update System 2017-09-01 06:07:55 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 21 Fedora Update System 2017-09-01 06:10:00 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 22 Fedora Update System 2017-09-01 06:11:57 UTC
fedpkg-1.29-3.fc27 rpkg-1.50-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 23 Fedora Update System 2017-09-03 04:47:31 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 24 Fedora Update System 2017-09-03 04:50:14 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 25 Fedora Update System 2017-09-03 06:23:49 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 26 Fedora Update System 2017-09-03 19:53:36 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 27 Fedora Update System 2017-09-04 06:52:46 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 28 Fedora Update System 2017-09-04 06:53:20 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 29 Fedora Update System 2017-09-04 16:17:23 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-09-04 22:17:35 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 31 Fedora Update System 2017-09-04 22:17:38 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 32 Fedora Update System 2017-09-12 10:52:07 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-09-19 21:16:24 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2017-09-19 21:19:41 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.